/**
  ******************************************************************************
  * @file           : spi.h
  * @brief          : SPI driver.
  * @author         : sbl1987@mail.ru
  ******************************************************************************
*/

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __SPI_H
#define __SPI_H

#ifdef __cplusplus
 extern "C" {
#endif
/* Includes ------------------------------------------------------------------*/
#include "stm32f1xx_hal.h"

/* Defines -------------------------------------------------------------------*/
#define SPI_TIMEOUT                    ((uint32_t)0xFFFF)
   
/* Typedef -------------------------------------------------------------------*/
typedef enum
{
  MSB_BIT = 0,
  LSB_BIT = 1,
}FIRST_BIT;

typedef enum
{
  CLOW = 0,
  CHIGHT = 1,
}CLOCK_POL;

typedef enum
{
  EDGE_1 = 0,
  EDGE_2 = 1,
}CLOCK_PHA;

typedef struct
{
  uint16_t prescal;
  FIRST_BIT F_BIT;
  CLOCK_POL CPOL;
  CLOCK_PHA CPHA;
}spi_str;

void spi_init(spi_str *spi_s);
void spi_write(uint8_t *data, uint8_t len);
void spi_read(uint8_t *data, uint8_t len);
void spi_write_read(uint8_t *data_w, uint8_t *data_r, uint8_t len);

#ifdef __cplusplus
}
#endif
  
#endif

