/**
  ******************************************************************************
  * @file           : led.c
  * @brief          : led driver.
  * @author         : sbl1987@mail.ru
  ******************************************************************************
*/
/* Includes ------------------------------------------------------------------*/
#include "led.h"
#include "main.h"

/* Private variables ---------------------------------------------------------*/
static uint8_t led_pwm;
static uint8_t led_count;

/* Private function prototypes -----------------------------------------------*/

void led_init(void)
{
  led_pwm = 0;
  led_count = 0;
  
}

void led_set(uint8_t pwm)
{
  led_pwm = pwm;
}

uint8_t led_get(void)
{
  return led_pwm;
}

void HAL_TIM_PeriodElapsedCallback(TIM_HandleTypeDef *htim)
{
  /*     */
  if(htim->Instance == TIM4){
    led_count ++;
    if(led_count < led_pwm) HAL_GPIO_WritePin(LED_GPIO_Port, LED_Pin, GPIO_PIN_RESET);
    else HAL_GPIO_WritePin(LED_GPIO_Port, LED_Pin, GPIO_PIN_SET);
  }
}