/**
  ******************************************************************************
  * @file           : pin_out_in.c
  * @brief          : pins driver.
  * @author         : sbl1987@mail.ru
  ******************************************************************************
*/
/* Includes ------------------------------------------------------------------*/
#include "pin_out_in.h"
#include "main.h"

/* Private variables ---------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
void pin_out_set(uint8_t pin, uint8_t state)
{
  if(state > PIN_OUT_ACTIV) return;
  
  switch(pin)
  {
  case 0: HAL_GPIO_WritePin(OUT_0_GPIO_Port, OUT_0_Pin, (GPIO_PinState)state); break;
  case 1: HAL_GPIO_WritePin(OUT_1_GPIO_Port, OUT_1_Pin, (GPIO_PinState)state); break;
  case 2: HAL_GPIO_WritePin(OUT_2_GPIO_Port, OUT_2_Pin, (GPIO_PinState)state); break;
  case 3: HAL_GPIO_WritePin(OUT_3_GPIO_Port, OUT_3_Pin, (GPIO_PinState)state); break;
  }
}

uint8_t pin_out_in_get(uint8_t pin)
{
  switch(pin)
  {
  case 0: return ((uint8_t)HAL_GPIO_ReadPin(OUT_0_GPIO_Port, OUT_0_Pin));
  case 1: return ((uint8_t)HAL_GPIO_ReadPin(OUT_1_GPIO_Port, OUT_1_Pin));
  case 2: return ((uint8_t)HAL_GPIO_ReadPin(OUT_2_GPIO_Port, OUT_2_Pin));
  case 3: return ((uint8_t)HAL_GPIO_ReadPin(OUT_3_GPIO_Port, OUT_3_Pin));
  case 4: return ((uint8_t)HAL_GPIO_ReadPin(IN_4_GPIO_Port, IN_4_Pin));
  case 5: return ((uint8_t)HAL_GPIO_ReadPin(IN_5_GPIO_Port, IN_5_Pin));
  }
  return 0;
}